#!/bin/bash
## Example script for compiling

if [[ $# -gt 2 ]] || [[ $# -eq 1 ]] && [[ "$1" != "opt" ]] && [[ "$1" != "debug" ]]; then
  echo "Usage: $0 [opt|debug]"
fi


TOPDIR=$(realpath $(dirname $0))

echo "make blossom5-v2.05 ..."
cd blossom5-v2.05.src
pwd
make
EXITSTATUS=$?
cd ..
echo

if [[ $EXITSTATUS == 0 ]]; then
  echo "make executable ..."
  cd src
  make $*
  EXITSTATUS=$?
  cd ..
  echo ""
fi

## Create bin dir with link to executable
if [[ $EXITSTATUS == 0 ]]; then
  echo "Creating $TOPDIR/bin/minimum-weight-perfect-matching ..."
  mkdir -p bin
  ln -sf src/build/minimum-weight-perfect-matching bin/
  echo "done."
else
  echo "Compilation failed"
fi

exit $EXITSTATUS

